<?
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/adm_check.php';
require '../sys/inc/user.php';
user_access('adm_panel_show',null,'/index.php?'.SID);

if (isset($_SESSION['adm_auth']) && $_SESSION['adm_auth']>$time || isset($_SESSION['captcha']) && isset($_POST['chislo']) && $_SESSION['captcha']==$_POST['chislo'])
{
$_SESSION['adm_auth']=$time+600;

if (isset($_GET['go']) && $_GET['go']!=null)
{
header('Location: '.base64_decode($_GET['go']));exit;
}


$set['title']='Админка';
require '../sys/inc/thead.php';
title();
err();

$div="<div class='enk_div'>» ";
$divs="</div>";

if($user['level']>=4)echo "$div<a href='/rank/?act=admin'>Редактор наград</a>$divs\n";
if (user_access('adm_mysql'))echo "$div<a href='/present/admin.php'>Подарки</a>$divs\n";
if($user['level']>=4)echo "$div<a href='/adm_panel/smiles/index.php'>Добавить Смайлы</a>$divs\n";
if($user['level']>=4)echo "$div<a href='/dei/set.php'>Управление действиями</a>$divs\n";
echo "<br />";
if($user['level']>=4)echo "$div<a href='spam.php'>АнтиСпам (Защита)</a>$divs\n";
if (user_access('adm_info'))echo "$div<a href='info.php'>Общая информация</a>$divs\n";
if (user_access('adm_statistic'))echo "$div<a href='statistic.php'>Статистика сайта</a>$divs\n";
if (user_access('adm_show_adm'))echo "$div<a href='administration.php'>Администрация</a>$divs\n";
if (user_access('adm_log_read'))echo "$div<a href='adm_log.php'>Действия администрации</a>$divs\n";
if (user_access('adm_rekl'))echo "$div<a href='rekl.php'>Реклама</a>$divs\n";
if (user_access('adm_news'))echo "$div<a href='news.php'>Новости</a>$divs\n";
if (user_access('adm_set_sys'))echo "$div<a href='settings_sys.php'>Настройки системы</a>$divs\n";
if (user_access('adm_set_sys'))echo "$div<a href='settings_bbcode.php'>Настройки BBcode</a>$divs\n";
if (user_access('adm_set_forum'))echo "$div<a href='settings_forum.php'>Настройки форума</a>$divs\n";
if (user_access('adm_set_user'))echo "$div<a href='settings_user.php'>Пользовательские настройки</a>$divs\n";
if (user_access('adm_accesses'))echo "$div<a href='accesses.php'>Привилегии групп пользователей</a>$divs\n";
if (user_access('adm_banlist'))echo "$div<a href='banlist.php'>Список забаненых</a>$divs\n";
if (user_access('adm_set_loads'))echo "$div<a href='settings_loads.php'>Настройки загрузок</a>$divs\n";
if (user_access('adm_set_loads'))echo "$div<a href='loads_recount.php'>Пересчет загрузок</a>$divs\n";
if (user_access('adm_set_chat'))echo "$div<a href='settings_chat.php'>Настройки чата</a>$divs\n";
if (user_access('adm_set_foto'))echo "$div<a href='settings_foto.php'>Настройки фотогалереи</a>$divs\n";
if (user_access('adm_forum_sinc'))echo "$div<a href='forum_sinc.php'>Синхронизация таблиц форума</a>$divs\n";
if (user_access('adm_lib_repair'))echo "$div<a href='lib_repair.php'>Восстановление библиотеки</a>$divs\n";
if (user_access('adm_info'))echo "$div<a href='settings_dop_sys.php'>Дополнительные настройки системы</a>$divs\n";
if (user_access('adm_ref'))echo "$div<a href='referals.php'>Рефералы</a>$divs\n";
echo "<br />";
if (user_access('adm_ip_edit'))echo "$div<a href='opsos.php'>Редактирование IP операторов</a>$divs\n";
if (user_access('adm_ban_ip'))echo "$div<a href='ban_ip.php'>Бан по IP адресу (диапазону)</a>$divs\n";
if (user_access('adm_mysql'))echo "$div<a href='mysql.php'>MySQL запросы</a>$divs\n";
if (user_access('adm_mysql'))echo "$div<a href='tables.php'>Заливка таблиц</a>$divs\n";

}else{
$set['title']='Защита от автоматических изменений';
include_once '../sys/inc/thead.php';
title();
err();
echo "<form method='post' action='?gen=$passgen&amp;".(isset($_GET['go'])?"go=$_GET[go]":null)."'>\n";
echo "<img src='/captcha.php?$passgen&amp;SESS=$sess' width='100' height='30' alt='Проверочное число' /><br />\nВведите число с картинки:<br />\n<input name='chislo' size='5' maxlength='5' value='' type='text' /><br/>\n";
echo "<input type='submit' value='Далее' />\n";
echo "</form>\n";
}

require '../sys/inc/tfoot.php';
?>